package com.unis.base.server.example;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TyLhtzdExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TyLhtzdExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andTzdidIsNull() {
            addCriterion("TZDID is null");
            return (Criteria) this;
        }

        public Criteria andTzdidIsNotNull() {
            addCriterion("TZDID is not null");
            return (Criteria) this;
        }

        public Criteria andTzdidEqualTo(String value) {
            addCriterion("TZDID =", value, "tzdid");
            return (Criteria) this;
        }

        public Criteria andTzdidNotEqualTo(String value) {
            addCriterion("TZDID <>", value, "tzdid");
            return (Criteria) this;
        }

        public Criteria andTzdidGreaterThan(String value) {
            addCriterion("TZDID >", value, "tzdid");
            return (Criteria) this;
        }

        public Criteria andTzdidGreaterThanOrEqualTo(String value) {
            addCriterion("TZDID >=", value, "tzdid");
            return (Criteria) this;
        }

        public Criteria andTzdidLessThan(String value) {
            addCriterion("TZDID <", value, "tzdid");
            return (Criteria) this;
        }

        public Criteria andTzdidLessThanOrEqualTo(String value) {
            addCriterion("TZDID <=", value, "tzdid");
            return (Criteria) this;
        }

        public Criteria andTzdidLike(String value) {
            addCriterion("TZDID like", value, "tzdid");
            return (Criteria) this;
        }

        public Criteria andTzdidNotLike(String value) {
            addCriterion("TZDID not like", value, "tzdid");
            return (Criteria) this;
        }

        public Criteria andTzdidIn(List<String> values) {
            addCriterion("TZDID in", values, "tzdid");
            return (Criteria) this;
        }

        public Criteria andTzdidNotIn(List<String> values) {
            addCriterion("TZDID not in", values, "tzdid");
            return (Criteria) this;
        }

        public Criteria andTzdidBetween(String value1, String value2) {
            addCriterion("TZDID between", value1, value2, "tzdid");
            return (Criteria) this;
        }

        public Criteria andTzdidNotBetween(String value1, String value2) {
            addCriterion("TZDID not between", value1, value2, "tzdid");
            return (Criteria) this;
        }

        public Criteria andTzdhIsNull() {
            addCriterion("TZDH is null");
            return (Criteria) this;
        }

        public Criteria andTzdhIsNotNull() {
            addCriterion("TZDH is not null");
            return (Criteria) this;
        }

        public Criteria andTzdhEqualTo(String value) {
            addCriterion("TZDH =", value, "tzdh");
            return (Criteria) this;
        }

        public Criteria andTzdhNotEqualTo(String value) {
            addCriterion("TZDH <>", value, "tzdh");
            return (Criteria) this;
        }

        public Criteria andTzdhGreaterThan(String value) {
            addCriterion("TZDH >", value, "tzdh");
            return (Criteria) this;
        }

        public Criteria andTzdhGreaterThanOrEqualTo(String value) {
            addCriterion("TZDH >=", value, "tzdh");
            return (Criteria) this;
        }

        public Criteria andTzdhLessThan(String value) {
            addCriterion("TZDH <", value, "tzdh");
            return (Criteria) this;
        }

        public Criteria andTzdhLessThanOrEqualTo(String value) {
            addCriterion("TZDH <=", value, "tzdh");
            return (Criteria) this;
        }

        public Criteria andTzdhLike(String value) {
            addCriterion("TZDH like", value, "tzdh");
            return (Criteria) this;
        }

        public Criteria andTzdhNotLike(String value) {
            addCriterion("TZDH not like", value, "tzdh");
            return (Criteria) this;
        }

        public Criteria andTzdhIn(List<String> values) {
            addCriterion("TZDH in", values, "tzdh");
            return (Criteria) this;
        }

        public Criteria andTzdhNotIn(List<String> values) {
            addCriterion("TZDH not in", values, "tzdh");
            return (Criteria) this;
        }

        public Criteria andTzdhBetween(String value1, String value2) {
            addCriterion("TZDH between", value1, value2, "tzdh");
            return (Criteria) this;
        }

        public Criteria andTzdhNotBetween(String value1, String value2) {
            addCriterion("TZDH not between", value1, value2, "tzdh");
            return (Criteria) this;
        }

        public Criteria andTzdlxIsNull() {
            addCriterion("TZDLX is null");
            return (Criteria) this;
        }

        public Criteria andTzdlxIsNotNull() {
            addCriterion("TZDLX is not null");
            return (Criteria) this;
        }

        public Criteria andTzdlxEqualTo(String value) {
            addCriterion("TZDLX =", value, "tzdlx");
            return (Criteria) this;
        }

        public Criteria andTzdlxNotEqualTo(String value) {
            addCriterion("TZDLX <>", value, "tzdlx");
            return (Criteria) this;
        }

        public Criteria andTzdlxGreaterThan(String value) {
            addCriterion("TZDLX >", value, "tzdlx");
            return (Criteria) this;
        }

        public Criteria andTzdlxGreaterThanOrEqualTo(String value) {
            addCriterion("TZDLX >=", value, "tzdlx");
            return (Criteria) this;
        }

        public Criteria andTzdlxLessThan(String value) {
            addCriterion("TZDLX <", value, "tzdlx");
            return (Criteria) this;
        }

        public Criteria andTzdlxLessThanOrEqualTo(String value) {
            addCriterion("TZDLX <=", value, "tzdlx");
            return (Criteria) this;
        }

        public Criteria andTzdlxLike(String value) {
            addCriterion("TZDLX like", value, "tzdlx");
            return (Criteria) this;
        }

        public Criteria andTzdlxNotLike(String value) {
            addCriterion("TZDLX not like", value, "tzdlx");
            return (Criteria) this;
        }

        public Criteria andTzdlxIn(List<String> values) {
            addCriterion("TZDLX in", values, "tzdlx");
            return (Criteria) this;
        }

        public Criteria andTzdlxNotIn(List<String> values) {
            addCriterion("TZDLX not in", values, "tzdlx");
            return (Criteria) this;
        }

        public Criteria andTzdlxBetween(String value1, String value2) {
            addCriterion("TZDLX between", value1, value2, "tzdlx");
            return (Criteria) this;
        }

        public Criteria andTzdlxNotBetween(String value1, String value2) {
            addCriterion("TZDLX not between", value1, value2, "tzdlx");
            return (Criteria) this;
        }

        public Criteria andPzbmIsNull() {
            addCriterion("PZBM is null");
            return (Criteria) this;
        }

        public Criteria andPzbmIsNotNull() {
            addCriterion("PZBM is not null");
            return (Criteria) this;
        }

        public Criteria andPzbmEqualTo(String value) {
            addCriterion("PZBM =", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotEqualTo(String value) {
            addCriterion("PZBM <>", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmGreaterThan(String value) {
            addCriterion("PZBM >", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmGreaterThanOrEqualTo(String value) {
            addCriterion("PZBM >=", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmLessThan(String value) {
            addCriterion("PZBM <", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmLessThanOrEqualTo(String value) {
            addCriterion("PZBM <=", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmLike(String value) {
            addCriterion("PZBM like", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotLike(String value) {
            addCriterion("PZBM not like", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmIn(List<String> values) {
            addCriterion("PZBM in", values, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotIn(List<String> values) {
            addCriterion("PZBM not in", values, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmBetween(String value1, String value2) {
            addCriterion("PZBM between", value1, value2, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotBetween(String value1, String value2) {
            addCriterion("PZBM not between", value1, value2, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzmcIsNull() {
            addCriterion("PZMC is null");
            return (Criteria) this;
        }

        public Criteria andPzmcIsNotNull() {
            addCriterion("PZMC is not null");
            return (Criteria) this;
        }

        public Criteria andPzmcEqualTo(String value) {
            addCriterion("PZMC =", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcNotEqualTo(String value) {
            addCriterion("PZMC <>", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcGreaterThan(String value) {
            addCriterion("PZMC >", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcGreaterThanOrEqualTo(String value) {
            addCriterion("PZMC >=", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcLessThan(String value) {
            addCriterion("PZMC <", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcLessThanOrEqualTo(String value) {
            addCriterion("PZMC <=", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcLike(String value) {
            addCriterion("PZMC like", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcNotLike(String value) {
            addCriterion("PZMC not like", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcIn(List<String> values) {
            addCriterion("PZMC in", values, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcNotIn(List<String> values) {
            addCriterion("PZMC not in", values, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcBetween(String value1, String value2) {
            addCriterion("PZMC between", value1, value2, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcNotBetween(String value1, String value2) {
            addCriterion("PZMC not between", value1, value2, "pzmc");
            return (Criteria) this;
        }

        public Criteria andLsyqslIsNull() {
            addCriterion("LSYQSL is null");
            return (Criteria) this;
        }

        public Criteria andLsyqslIsNotNull() {
            addCriterion("LSYQSL is not null");
            return (Criteria) this;
        }

        public Criteria andLsyqslEqualTo(BigDecimal value) {
            addCriterion("LSYQSL =", value, "lsyqsl");
            return (Criteria) this;
        }

        public Criteria andLsyqslNotEqualTo(BigDecimal value) {
            addCriterion("LSYQSL <>", value, "lsyqsl");
            return (Criteria) this;
        }

        public Criteria andLsyqslGreaterThan(BigDecimal value) {
            addCriterion("LSYQSL >", value, "lsyqsl");
            return (Criteria) this;
        }

        public Criteria andLsyqslGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("LSYQSL >=", value, "lsyqsl");
            return (Criteria) this;
        }

        public Criteria andLsyqslLessThan(BigDecimal value) {
            addCriterion("LSYQSL <", value, "lsyqsl");
            return (Criteria) this;
        }

        public Criteria andLsyqslLessThanOrEqualTo(BigDecimal value) {
            addCriterion("LSYQSL <=", value, "lsyqsl");
            return (Criteria) this;
        }

        public Criteria andLsyqslIn(List<BigDecimal> values) {
            addCriterion("LSYQSL in", values, "lsyqsl");
            return (Criteria) this;
        }

        public Criteria andLsyqslNotIn(List<BigDecimal> values) {
            addCriterion("LSYQSL not in", values, "lsyqsl");
            return (Criteria) this;
        }

        public Criteria andLsyqslBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("LSYQSL between", value1, value2, "lsyqsl");
            return (Criteria) this;
        }

        public Criteria andLsyqslNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("LSYQSL not between", value1, value2, "lsyqsl");
            return (Criteria) this;
        }

        public Criteria andLsnqIsNull() {
            addCriterion("LSNQ is null");
            return (Criteria) this;
        }

        public Criteria andLsnqIsNotNull() {
            addCriterion("LSNQ is not null");
            return (Criteria) this;
        }

        public Criteria andLsnqEqualTo(String value) {
            addCriterion("LSNQ =", value, "lsnq");
            return (Criteria) this;
        }

        public Criteria andLsnqNotEqualTo(String value) {
            addCriterion("LSNQ <>", value, "lsnq");
            return (Criteria) this;
        }

        public Criteria andLsnqGreaterThan(String value) {
            addCriterion("LSNQ >", value, "lsnq");
            return (Criteria) this;
        }

        public Criteria andLsnqGreaterThanOrEqualTo(String value) {
            addCriterion("LSNQ >=", value, "lsnq");
            return (Criteria) this;
        }

        public Criteria andLsnqLessThan(String value) {
            addCriterion("LSNQ <", value, "lsnq");
            return (Criteria) this;
        }

        public Criteria andLsnqLessThanOrEqualTo(String value) {
            addCriterion("LSNQ <=", value, "lsnq");
            return (Criteria) this;
        }

        public Criteria andLsnqLike(String value) {
            addCriterion("LSNQ like", value, "lsnq");
            return (Criteria) this;
        }

        public Criteria andLsnqNotLike(String value) {
            addCriterion("LSNQ not like", value, "lsnq");
            return (Criteria) this;
        }

        public Criteria andLsnqIn(List<String> values) {
            addCriterion("LSNQ in", values, "lsnq");
            return (Criteria) this;
        }

        public Criteria andLsnqNotIn(List<String> values) {
            addCriterion("LSNQ not in", values, "lsnq");
            return (Criteria) this;
        }

        public Criteria andLsnqBetween(String value1, String value2) {
            addCriterion("LSNQ between", value1, value2, "lsnq");
            return (Criteria) this;
        }

        public Criteria andLsnqNotBetween(String value1, String value2) {
            addCriterion("LSNQ not between", value1, value2, "lsnq");
            return (Criteria) this;
        }

        public Criteria andLswcslIsNull() {
            addCriterion("LSWCSL is null");
            return (Criteria) this;
        }

        public Criteria andLswcslIsNotNull() {
            addCriterion("LSWCSL is not null");
            return (Criteria) this;
        }

        public Criteria andLswcslEqualTo(BigDecimal value) {
            addCriterion("LSWCSL =", value, "lswcsl");
            return (Criteria) this;
        }

        public Criteria andLswcslNotEqualTo(BigDecimal value) {
            addCriterion("LSWCSL <>", value, "lswcsl");
            return (Criteria) this;
        }

        public Criteria andLswcslGreaterThan(BigDecimal value) {
            addCriterion("LSWCSL >", value, "lswcsl");
            return (Criteria) this;
        }

        public Criteria andLswcslGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("LSWCSL >=", value, "lswcsl");
            return (Criteria) this;
        }

        public Criteria andLswcslLessThan(BigDecimal value) {
            addCriterion("LSWCSL <", value, "lswcsl");
            return (Criteria) this;
        }

        public Criteria andLswcslLessThanOrEqualTo(BigDecimal value) {
            addCriterion("LSWCSL <=", value, "lswcsl");
            return (Criteria) this;
        }

        public Criteria andLswcslIn(List<BigDecimal> values) {
            addCriterion("LSWCSL in", values, "lswcsl");
            return (Criteria) this;
        }

        public Criteria andLswcslNotIn(List<BigDecimal> values) {
            addCriterion("LSWCSL not in", values, "lswcsl");
            return (Criteria) this;
        }

        public Criteria andLswcslBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("LSWCSL between", value1, value2, "lswcsl");
            return (Criteria) this;
        }

        public Criteria andLswcslNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("LSWCSL not between", value1, value2, "lswcsl");
            return (Criteria) this;
        }

        public Criteria andLsjgIsNull() {
            addCriterion("LSJG is null");
            return (Criteria) this;
        }

        public Criteria andLsjgIsNotNull() {
            addCriterion("LSJG is not null");
            return (Criteria) this;
        }

        public Criteria andLsjgEqualTo(BigDecimal value) {
            addCriterion("LSJG =", value, "lsjg");
            return (Criteria) this;
        }

        public Criteria andLsjgNotEqualTo(BigDecimal value) {
            addCriterion("LSJG <>", value, "lsjg");
            return (Criteria) this;
        }

        public Criteria andLsjgGreaterThan(BigDecimal value) {
            addCriterion("LSJG >", value, "lsjg");
            return (Criteria) this;
        }

        public Criteria andLsjgGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("LSJG >=", value, "lsjg");
            return (Criteria) this;
        }

        public Criteria andLsjgLessThan(BigDecimal value) {
            addCriterion("LSJG <", value, "lsjg");
            return (Criteria) this;
        }

        public Criteria andLsjgLessThanOrEqualTo(BigDecimal value) {
            addCriterion("LSJG <=", value, "lsjg");
            return (Criteria) this;
        }

        public Criteria andLsjgIn(List<BigDecimal> values) {
            addCriterion("LSJG in", values, "lsjg");
            return (Criteria) this;
        }

        public Criteria andLsjgNotIn(List<BigDecimal> values) {
            addCriterion("LSJG not in", values, "lsjg");
            return (Criteria) this;
        }

        public Criteria andLsjgBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("LSJG between", value1, value2, "lsjg");
            return (Criteria) this;
        }

        public Criteria andLsjgNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("LSJG not between", value1, value2, "lsjg");
            return (Criteria) this;
        }

        public Criteria andJhkssjIsNull() {
            addCriterion("JHKSSJ is null");
            return (Criteria) this;
        }

        public Criteria andJhkssjIsNotNull() {
            addCriterion("JHKSSJ is not null");
            return (Criteria) this;
        }

        public Criteria andJhkssjEqualTo(Date value) {
            addCriterion("JHKSSJ =", value, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhkssjNotEqualTo(Date value) {
            addCriterion("JHKSSJ <>", value, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhkssjGreaterThan(Date value) {
            addCriterion("JHKSSJ >", value, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhkssjGreaterThanOrEqualTo(Date value) {
            addCriterion("JHKSSJ >=", value, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhkssjLessThan(Date value) {
            addCriterion("JHKSSJ <", value, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhkssjLessThanOrEqualTo(Date value) {
            addCriterion("JHKSSJ <=", value, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhkssjIn(List<Date> values) {
            addCriterion("JHKSSJ in", values, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhkssjNotIn(List<Date> values) {
            addCriterion("JHKSSJ not in", values, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhkssjBetween(Date value1, Date value2) {
            addCriterion("JHKSSJ between", value1, value2, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhkssjNotBetween(Date value1, Date value2) {
            addCriterion("JHKSSJ not between", value1, value2, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhjzsjIsNull() {
            addCriterion("JHJZSJ is null");
            return (Criteria) this;
        }

        public Criteria andJhjzsjIsNotNull() {
            addCriterion("JHJZSJ is not null");
            return (Criteria) this;
        }

        public Criteria andJhjzsjEqualTo(Date value) {
            addCriterion("JHJZSJ =", value, "jhjzsj");
            return (Criteria) this;
        }

        public Criteria andJhjzsjNotEqualTo(Date value) {
            addCriterion("JHJZSJ <>", value, "jhjzsj");
            return (Criteria) this;
        }

        public Criteria andJhjzsjGreaterThan(Date value) {
            addCriterion("JHJZSJ >", value, "jhjzsj");
            return (Criteria) this;
        }

        public Criteria andJhjzsjGreaterThanOrEqualTo(Date value) {
            addCriterion("JHJZSJ >=", value, "jhjzsj");
            return (Criteria) this;
        }

        public Criteria andJhjzsjLessThan(Date value) {
            addCriterion("JHJZSJ <", value, "jhjzsj");
            return (Criteria) this;
        }

        public Criteria andJhjzsjLessThanOrEqualTo(Date value) {
            addCriterion("JHJZSJ <=", value, "jhjzsj");
            return (Criteria) this;
        }

        public Criteria andJhjzsjIn(List<Date> values) {
            addCriterion("JHJZSJ in", values, "jhjzsj");
            return (Criteria) this;
        }

        public Criteria andJhjzsjNotIn(List<Date> values) {
            addCriterion("JHJZSJ not in", values, "jhjzsj");
            return (Criteria) this;
        }

        public Criteria andJhjzsjBetween(Date value1, Date value2) {
            addCriterion("JHJZSJ between", value1, value2, "jhjzsj");
            return (Criteria) this;
        }

        public Criteria andJhjzsjNotBetween(Date value1, Date value2) {
            addCriterion("JHJZSJ not between", value1, value2, "jhjzsj");
            return (Criteria) this;
        }

        public Criteria andKhdmIsNull() {
            addCriterion("KHDM is null");
            return (Criteria) this;
        }

        public Criteria andKhdmIsNotNull() {
            addCriterion("KHDM is not null");
            return (Criteria) this;
        }

        public Criteria andKhdmEqualTo(String value) {
            addCriterion("KHDM =", value, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmNotEqualTo(String value) {
            addCriterion("KHDM <>", value, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmGreaterThan(String value) {
            addCriterion("KHDM >", value, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmGreaterThanOrEqualTo(String value) {
            addCriterion("KHDM >=", value, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmLessThan(String value) {
            addCriterion("KHDM <", value, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmLessThanOrEqualTo(String value) {
            addCriterion("KHDM <=", value, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmLike(String value) {
            addCriterion("KHDM like", value, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmNotLike(String value) {
            addCriterion("KHDM not like", value, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmIn(List<String> values) {
            addCriterion("KHDM in", values, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmNotIn(List<String> values) {
            addCriterion("KHDM not in", values, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmBetween(String value1, String value2) {
            addCriterion("KHDM between", value1, value2, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmNotBetween(String value1, String value2) {
            addCriterion("KHDM not between", value1, value2, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhmcIsNull() {
            addCriterion("KHMC is null");
            return (Criteria) this;
        }

        public Criteria andKhmcIsNotNull() {
            addCriterion("KHMC is not null");
            return (Criteria) this;
        }

        public Criteria andKhmcEqualTo(String value) {
            addCriterion("KHMC =", value, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcNotEqualTo(String value) {
            addCriterion("KHMC <>", value, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcGreaterThan(String value) {
            addCriterion("KHMC >", value, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcGreaterThanOrEqualTo(String value) {
            addCriterion("KHMC >=", value, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcLessThan(String value) {
            addCriterion("KHMC <", value, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcLessThanOrEqualTo(String value) {
            addCriterion("KHMC <=", value, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcLike(String value) {
            addCriterion("KHMC like", value, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcNotLike(String value) {
            addCriterion("KHMC not like", value, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcIn(List<String> values) {
            addCriterion("KHMC in", values, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcNotIn(List<String> values) {
            addCriterion("KHMC not in", values, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcBetween(String value1, String value2) {
            addCriterion("KHMC between", value1, value2, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcNotBetween(String value1, String value2) {
            addCriterion("KHMC not between", value1, value2, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhssqydmIsNull() {
            addCriterion("KHSSQYDM is null");
            return (Criteria) this;
        }

        public Criteria andKhssqydmIsNotNull() {
            addCriterion("KHSSQYDM is not null");
            return (Criteria) this;
        }

        public Criteria andKhssqydmEqualTo(String value) {
            addCriterion("KHSSQYDM =", value, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmNotEqualTo(String value) {
            addCriterion("KHSSQYDM <>", value, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmGreaterThan(String value) {
            addCriterion("KHSSQYDM >", value, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmGreaterThanOrEqualTo(String value) {
            addCriterion("KHSSQYDM >=", value, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmLessThan(String value) {
            addCriterion("KHSSQYDM <", value, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmLessThanOrEqualTo(String value) {
            addCriterion("KHSSQYDM <=", value, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmLike(String value) {
            addCriterion("KHSSQYDM like", value, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmNotLike(String value) {
            addCriterion("KHSSQYDM not like", value, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmIn(List<String> values) {
            addCriterion("KHSSQYDM in", values, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmNotIn(List<String> values) {
            addCriterion("KHSSQYDM not in", values, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmBetween(String value1, String value2) {
            addCriterion("KHSSQYDM between", value1, value2, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmNotBetween(String value1, String value2) {
            addCriterion("KHSSQYDM not between", value1, value2, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcIsNull() {
            addCriterion("KHSSYQMC is null");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcIsNotNull() {
            addCriterion("KHSSYQMC is not null");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcEqualTo(String value) {
            addCriterion("KHSSYQMC =", value, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcNotEqualTo(String value) {
            addCriterion("KHSSYQMC <>", value, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcGreaterThan(String value) {
            addCriterion("KHSSYQMC >", value, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcGreaterThanOrEqualTo(String value) {
            addCriterion("KHSSYQMC >=", value, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcLessThan(String value) {
            addCriterion("KHSSYQMC <", value, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcLessThanOrEqualTo(String value) {
            addCriterion("KHSSYQMC <=", value, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcLike(String value) {
            addCriterion("KHSSYQMC like", value, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcNotLike(String value) {
            addCriterion("KHSSYQMC not like", value, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcIn(List<String> values) {
            addCriterion("KHSSYQMC in", values, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcNotIn(List<String> values) {
            addCriterion("KHSSYQMC not in", values, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcBetween(String value1, String value2) {
            addCriterion("KHSSYQMC between", value1, value2, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcNotBetween(String value1, String value2) {
            addCriterion("KHSSYQMC not between", value1, value2, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andCfbhIsNull() {
            addCriterion("CFBH is null");
            return (Criteria) this;
        }

        public Criteria andCfbhIsNotNull() {
            addCriterion("CFBH is not null");
            return (Criteria) this;
        }

        public Criteria andCfbhEqualTo(String value) {
            addCriterion("CFBH =", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhNotEqualTo(String value) {
            addCriterion("CFBH <>", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhGreaterThan(String value) {
            addCriterion("CFBH >", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhGreaterThanOrEqualTo(String value) {
            addCriterion("CFBH >=", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhLessThan(String value) {
            addCriterion("CFBH <", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhLessThanOrEqualTo(String value) {
            addCriterion("CFBH <=", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhLike(String value) {
            addCriterion("CFBH like", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhNotLike(String value) {
            addCriterion("CFBH not like", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhIn(List<String> values) {
            addCriterion("CFBH in", values, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhNotIn(List<String> values) {
            addCriterion("CFBH not in", values, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhBetween(String value1, String value2) {
            addCriterion("CFBH between", value1, value2, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhNotBetween(String value1, String value2) {
            addCriterion("CFBH not between", value1, value2, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfmcIsNull() {
            addCriterion("CFMC is null");
            return (Criteria) this;
        }

        public Criteria andCfmcIsNotNull() {
            addCriterion("CFMC is not null");
            return (Criteria) this;
        }

        public Criteria andCfmcEqualTo(String value) {
            addCriterion("CFMC =", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcNotEqualTo(String value) {
            addCriterion("CFMC <>", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcGreaterThan(String value) {
            addCriterion("CFMC >", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcGreaterThanOrEqualTo(String value) {
            addCriterion("CFMC >=", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcLessThan(String value) {
            addCriterion("CFMC <", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcLessThanOrEqualTo(String value) {
            addCriterion("CFMC <=", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcLike(String value) {
            addCriterion("CFMC like", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcNotLike(String value) {
            addCriterion("CFMC not like", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcIn(List<String> values) {
            addCriterion("CFMC in", values, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcNotIn(List<String> values) {
            addCriterion("CFMC not in", values, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcBetween(String value1, String value2) {
            addCriterion("CFMC between", value1, value2, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcNotBetween(String value1, String value2) {
            addCriterion("CFMC not between", value1, value2, "cfmc");
            return (Criteria) this;
        }

        public Criteria andSskddmIsNull() {
            addCriterion("SSKDDM is null");
            return (Criteria) this;
        }

        public Criteria andSskddmIsNotNull() {
            addCriterion("SSKDDM is not null");
            return (Criteria) this;
        }

        public Criteria andSskddmEqualTo(String value) {
            addCriterion("SSKDDM =", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotEqualTo(String value) {
            addCriterion("SSKDDM <>", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmGreaterThan(String value) {
            addCriterion("SSKDDM >", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmGreaterThanOrEqualTo(String value) {
            addCriterion("SSKDDM >=", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmLessThan(String value) {
            addCriterion("SSKDDM <", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmLessThanOrEqualTo(String value) {
            addCriterion("SSKDDM <=", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmLike(String value) {
            addCriterion("SSKDDM like", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotLike(String value) {
            addCriterion("SSKDDM not like", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmIn(List<String> values) {
            addCriterion("SSKDDM in", values, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotIn(List<String> values) {
            addCriterion("SSKDDM not in", values, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmBetween(String value1, String value2) {
            addCriterion("SSKDDM between", value1, value2, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotBetween(String value1, String value2) {
            addCriterion("SSKDDM not between", value1, value2, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskdmcIsNull() {
            addCriterion("SSKDMC is null");
            return (Criteria) this;
        }

        public Criteria andSskdmcIsNotNull() {
            addCriterion("SSKDMC is not null");
            return (Criteria) this;
        }

        public Criteria andSskdmcEqualTo(String value) {
            addCriterion("SSKDMC =", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotEqualTo(String value) {
            addCriterion("SSKDMC <>", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcGreaterThan(String value) {
            addCriterion("SSKDMC >", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcGreaterThanOrEqualTo(String value) {
            addCriterion("SSKDMC >=", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcLessThan(String value) {
            addCriterion("SSKDMC <", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcLessThanOrEqualTo(String value) {
            addCriterion("SSKDMC <=", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcLike(String value) {
            addCriterion("SSKDMC like", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotLike(String value) {
            addCriterion("SSKDMC not like", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcIn(List<String> values) {
            addCriterion("SSKDMC in", values, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotIn(List<String> values) {
            addCriterion("SSKDMC not in", values, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcBetween(String value1, String value2) {
            addCriterion("SSKDMC between", value1, value2, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotBetween(String value1, String value2) {
            addCriterion("SSKDMC not between", value1, value2, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSsqydmIsNull() {
            addCriterion("SSQYDM is null");
            return (Criteria) this;
        }

        public Criteria andSsqydmIsNotNull() {
            addCriterion("SSQYDM is not null");
            return (Criteria) this;
        }

        public Criteria andSsqydmEqualTo(String value) {
            addCriterion("SSQYDM =", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotEqualTo(String value) {
            addCriterion("SSQYDM <>", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmGreaterThan(String value) {
            addCriterion("SSQYDM >", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmGreaterThanOrEqualTo(String value) {
            addCriterion("SSQYDM >=", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmLessThan(String value) {
            addCriterion("SSQYDM <", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmLessThanOrEqualTo(String value) {
            addCriterion("SSQYDM <=", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmLike(String value) {
            addCriterion("SSQYDM like", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotLike(String value) {
            addCriterion("SSQYDM not like", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmIn(List<String> values) {
            addCriterion("SSQYDM in", values, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotIn(List<String> values) {
            addCriterion("SSQYDM not in", values, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmBetween(String value1, String value2) {
            addCriterion("SSQYDM between", value1, value2, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotBetween(String value1, String value2) {
            addCriterion("SSQYDM not between", value1, value2, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsyqmcIsNull() {
            addCriterion("SSYQMC is null");
            return (Criteria) this;
        }

        public Criteria andSsyqmcIsNotNull() {
            addCriterion("SSYQMC is not null");
            return (Criteria) this;
        }

        public Criteria andSsyqmcEqualTo(String value) {
            addCriterion("SSYQMC =", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotEqualTo(String value) {
            addCriterion("SSYQMC <>", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcGreaterThan(String value) {
            addCriterion("SSYQMC >", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcGreaterThanOrEqualTo(String value) {
            addCriterion("SSYQMC >=", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcLessThan(String value) {
            addCriterion("SSYQMC <", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcLessThanOrEqualTo(String value) {
            addCriterion("SSYQMC <=", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcLike(String value) {
            addCriterion("SSYQMC like", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotLike(String value) {
            addCriterion("SSYQMC not like", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcIn(List<String> values) {
            addCriterion("SSYQMC in", values, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotIn(List<String> values) {
            addCriterion("SSYQMC not in", values, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcBetween(String value1, String value2) {
            addCriterion("SSYQMC between", value1, value2, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotBetween(String value1, String value2) {
            addCriterion("SSYQMC not between", value1, value2, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidIsNull() {
            addCriterion("SSJHXXID is null");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidIsNotNull() {
            addCriterion("SSJHXXID is not null");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidEqualTo(String value) {
            addCriterion("SSJHXXID =", value, "ssjhxxid");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidNotEqualTo(String value) {
            addCriterion("SSJHXXID <>", value, "ssjhxxid");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidGreaterThan(String value) {
            addCriterion("SSJHXXID >", value, "ssjhxxid");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidGreaterThanOrEqualTo(String value) {
            addCriterion("SSJHXXID >=", value, "ssjhxxid");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidLessThan(String value) {
            addCriterion("SSJHXXID <", value, "ssjhxxid");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidLessThanOrEqualTo(String value) {
            addCriterion("SSJHXXID <=", value, "ssjhxxid");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidLike(String value) {
            addCriterion("SSJHXXID like", value, "ssjhxxid");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidNotLike(String value) {
            addCriterion("SSJHXXID not like", value, "ssjhxxid");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidIn(List<String> values) {
            addCriterion("SSJHXXID in", values, "ssjhxxid");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidNotIn(List<String> values) {
            addCriterion("SSJHXXID not in", values, "ssjhxxid");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidBetween(String value1, String value2) {
            addCriterion("SSJHXXID between", value1, value2, "ssjhxxid");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidNotBetween(String value1, String value2) {
            addCriterion("SSJHXXID not between", value1, value2, "ssjhxxid");
            return (Criteria) this;
        }

        public Criteria andSsjhhIsNull() {
            addCriterion("SSJHH is null");
            return (Criteria) this;
        }

        public Criteria andSsjhhIsNotNull() {
            addCriterion("SSJHH is not null");
            return (Criteria) this;
        }

        public Criteria andSsjhhEqualTo(String value) {
            addCriterion("SSJHH =", value, "ssjhh");
            return (Criteria) this;
        }

        public Criteria andSsjhhNotEqualTo(String value) {
            addCriterion("SSJHH <>", value, "ssjhh");
            return (Criteria) this;
        }

        public Criteria andSsjhhGreaterThan(String value) {
            addCriterion("SSJHH >", value, "ssjhh");
            return (Criteria) this;
        }

        public Criteria andSsjhhGreaterThanOrEqualTo(String value) {
            addCriterion("SSJHH >=", value, "ssjhh");
            return (Criteria) this;
        }

        public Criteria andSsjhhLessThan(String value) {
            addCriterion("SSJHH <", value, "ssjhh");
            return (Criteria) this;
        }

        public Criteria andSsjhhLessThanOrEqualTo(String value) {
            addCriterion("SSJHH <=", value, "ssjhh");
            return (Criteria) this;
        }

        public Criteria andSsjhhLike(String value) {
            addCriterion("SSJHH like", value, "ssjhh");
            return (Criteria) this;
        }

        public Criteria andSsjhhNotLike(String value) {
            addCriterion("SSJHH not like", value, "ssjhh");
            return (Criteria) this;
        }

        public Criteria andSsjhhIn(List<String> values) {
            addCriterion("SSJHH in", values, "ssjhh");
            return (Criteria) this;
        }

        public Criteria andSsjhhNotIn(List<String> values) {
            addCriterion("SSJHH not in", values, "ssjhh");
            return (Criteria) this;
        }

        public Criteria andSsjhhBetween(String value1, String value2) {
            addCriterion("SSJHH between", value1, value2, "ssjhh");
            return (Criteria) this;
        }

        public Criteria andSsjhhNotBetween(String value1, String value2) {
            addCriterion("SSJHH not between", value1, value2, "ssjhh");
            return (Criteria) this;
        }

        public Criteria andSshtxxidIsNull() {
            addCriterion("SSHTXXID is null");
            return (Criteria) this;
        }

        public Criteria andSshtxxidIsNotNull() {
            addCriterion("SSHTXXID is not null");
            return (Criteria) this;
        }

        public Criteria andSshtxxidEqualTo(String value) {
            addCriterion("SSHTXXID =", value, "sshtxxid");
            return (Criteria) this;
        }

        public Criteria andSshtxxidNotEqualTo(String value) {
            addCriterion("SSHTXXID <>", value, "sshtxxid");
            return (Criteria) this;
        }

        public Criteria andSshtxxidGreaterThan(String value) {
            addCriterion("SSHTXXID >", value, "sshtxxid");
            return (Criteria) this;
        }

        public Criteria andSshtxxidGreaterThanOrEqualTo(String value) {
            addCriterion("SSHTXXID >=", value, "sshtxxid");
            return (Criteria) this;
        }

        public Criteria andSshtxxidLessThan(String value) {
            addCriterion("SSHTXXID <", value, "sshtxxid");
            return (Criteria) this;
        }

        public Criteria andSshtxxidLessThanOrEqualTo(String value) {
            addCriterion("SSHTXXID <=", value, "sshtxxid");
            return (Criteria) this;
        }

        public Criteria andSshtxxidLike(String value) {
            addCriterion("SSHTXXID like", value, "sshtxxid");
            return (Criteria) this;
        }

        public Criteria andSshtxxidNotLike(String value) {
            addCriterion("SSHTXXID not like", value, "sshtxxid");
            return (Criteria) this;
        }

        public Criteria andSshtxxidIn(List<String> values) {
            addCriterion("SSHTXXID in", values, "sshtxxid");
            return (Criteria) this;
        }

        public Criteria andSshtxxidNotIn(List<String> values) {
            addCriterion("SSHTXXID not in", values, "sshtxxid");
            return (Criteria) this;
        }

        public Criteria andSshtxxidBetween(String value1, String value2) {
            addCriterion("SSHTXXID between", value1, value2, "sshtxxid");
            return (Criteria) this;
        }

        public Criteria andSshtxxidNotBetween(String value1, String value2) {
            addCriterion("SSHTXXID not between", value1, value2, "sshtxxid");
            return (Criteria) this;
        }

        public Criteria andSshtbmIsNull() {
            addCriterion("SSHTBM is null");
            return (Criteria) this;
        }

        public Criteria andSshtbmIsNotNull() {
            addCriterion("SSHTBM is not null");
            return (Criteria) this;
        }

        public Criteria andSshtbmEqualTo(String value) {
            addCriterion("SSHTBM =", value, "sshtbm");
            return (Criteria) this;
        }

        public Criteria andSshtbmNotEqualTo(String value) {
            addCriterion("SSHTBM <>", value, "sshtbm");
            return (Criteria) this;
        }

        public Criteria andSshtbmGreaterThan(String value) {
            addCriterion("SSHTBM >", value, "sshtbm");
            return (Criteria) this;
        }

        public Criteria andSshtbmGreaterThanOrEqualTo(String value) {
            addCriterion("SSHTBM >=", value, "sshtbm");
            return (Criteria) this;
        }

        public Criteria andSshtbmLessThan(String value) {
            addCriterion("SSHTBM <", value, "sshtbm");
            return (Criteria) this;
        }

        public Criteria andSshtbmLessThanOrEqualTo(String value) {
            addCriterion("SSHTBM <=", value, "sshtbm");
            return (Criteria) this;
        }

        public Criteria andSshtbmLike(String value) {
            addCriterion("SSHTBM like", value, "sshtbm");
            return (Criteria) this;
        }

        public Criteria andSshtbmNotLike(String value) {
            addCriterion("SSHTBM not like", value, "sshtbm");
            return (Criteria) this;
        }

        public Criteria andSshtbmIn(List<String> values) {
            addCriterion("SSHTBM in", values, "sshtbm");
            return (Criteria) this;
        }

        public Criteria andSshtbmNotIn(List<String> values) {
            addCriterion("SSHTBM not in", values, "sshtbm");
            return (Criteria) this;
        }

        public Criteria andSshtbmBetween(String value1, String value2) {
            addCriterion("SSHTBM between", value1, value2, "sshtbm");
            return (Criteria) this;
        }

        public Criteria andSshtbmNotBetween(String value1, String value2) {
            addCriterion("SSHTBM not between", value1, value2, "sshtbm");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("STATUS is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("STATUS is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Short value) {
            addCriterion("STATUS =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Short value) {
            addCriterion("STATUS <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Short value) {
            addCriterion("STATUS >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Short value) {
            addCriterion("STATUS >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Short value) {
            addCriterion("STATUS <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Short value) {
            addCriterion("STATUS <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Short> values) {
            addCriterion("STATUS in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Short> values) {
            addCriterion("STATUS not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Short value1, Short value2) {
            addCriterion("STATUS between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Short value1, Short value2) {
            addCriterion("STATUS not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNull() {
            addCriterion("CREATOR is null");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNotNull() {
            addCriterion("CREATOR is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorEqualTo(String value) {
            addCriterion("CREATOR =", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotEqualTo(String value) {
            addCriterion("CREATOR <>", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThan(String value) {
            addCriterion("CREATOR >", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR >=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThan(String value) {
            addCriterion("CREATOR <", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThanOrEqualTo(String value) {
            addCriterion("CREATOR <=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLike(String value) {
            addCriterion("CREATOR like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotLike(String value) {
            addCriterion("CREATOR not like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorIn(List<String> values) {
            addCriterion("CREATOR in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotIn(List<String> values) {
            addCriterion("CREATOR not in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorBetween(String value1, String value2) {
            addCriterion("CREATOR between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotBetween(String value1, String value2) {
            addCriterion("CREATOR not between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNull() {
            addCriterion("CREATOR_CODE is null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNotNull() {
            addCriterion("CREATOR_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeEqualTo(String value) {
            addCriterion("CREATOR_CODE =", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotEqualTo(String value) {
            addCriterion("CREATOR_CODE <>", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThan(String value) {
            addCriterion("CREATOR_CODE >", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE >=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThan(String value) {
            addCriterion("CREATOR_CODE <", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE <=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLike(String value) {
            addCriterion("CREATOR_CODE like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotLike(String value) {
            addCriterion("CREATOR_CODE not like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIn(List<String> values) {
            addCriterion("CREATOR_CODE in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotIn(List<String> values) {
            addCriterion("CREATOR_CODE not in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE not between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNull() {
            addCriterion("CREATE_DATE is null");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNotNull() {
            addCriterion("CREATE_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andCreateDateEqualTo(Date value) {
            addCriterion("CREATE_DATE =", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotEqualTo(Date value) {
            addCriterion("CREATE_DATE <>", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThan(Date value) {
            addCriterion("CREATE_DATE >", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE >=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThan(Date value) {
            addCriterion("CREATE_DATE <", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE <=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateIn(List<Date> values) {
            addCriterion("CREATE_DATE in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotIn(List<Date> values) {
            addCriterion("CREATE_DATE not in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE not between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNull() {
            addCriterion("REFRESHER is null");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNotNull() {
            addCriterion("REFRESHER is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherEqualTo(String value) {
            addCriterion("REFRESHER =", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotEqualTo(String value) {
            addCriterion("REFRESHER <>", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThan(String value) {
            addCriterion("REFRESHER >", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER >=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThan(String value) {
            addCriterion("REFRESHER <", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER <=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLike(String value) {
            addCriterion("REFRESHER like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotLike(String value) {
            addCriterion("REFRESHER not like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherIn(List<String> values) {
            addCriterion("REFRESHER in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotIn(List<String> values) {
            addCriterion("REFRESHER not in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherBetween(String value1, String value2) {
            addCriterion("REFRESHER between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotBetween(String value1, String value2) {
            addCriterion("REFRESHER not between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNull() {
            addCriterion("REFRESHER_CODE is null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNotNull() {
            addCriterion("REFRESHER_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeEqualTo(String value) {
            addCriterion("REFRESHER_CODE =", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotEqualTo(String value) {
            addCriterion("REFRESHER_CODE <>", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThan(String value) {
            addCriterion("REFRESHER_CODE >", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE >=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThan(String value) {
            addCriterion("REFRESHER_CODE <", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE <=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLike(String value) {
            addCriterion("REFRESHER_CODE like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotLike(String value) {
            addCriterion("REFRESHER_CODE not like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIn(List<String> values) {
            addCriterion("REFRESHER_CODE in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotIn(List<String> values) {
            addCriterion("REFRESHER_CODE not in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE not between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNull() {
            addCriterion("REFRESH_TIME is null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNotNull() {
            addCriterion("REFRESH_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeEqualTo(Date value) {
            addCriterion("REFRESH_TIME =", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotEqualTo(Date value) {
            addCriterion("REFRESH_TIME <>", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThan(Date value) {
            addCriterion("REFRESH_TIME >", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME >=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThan(Date value) {
            addCriterion("REFRESH_TIME <", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME <=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIn(List<Date> values) {
            addCriterion("REFRESH_TIME in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotIn(List<Date> values) {
            addCriterion("REFRESH_TIME not in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME not between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("REMARK is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("REMARK is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("REMARK =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("REMARK <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("REMARK >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("REMARK >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("REMARK <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("REMARK <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("REMARK like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("REMARK not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("REMARK in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("REMARK not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("REMARK between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("REMARK not between", value1, value2, "remark");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}